## org.apache.lucene.analysis.standard
Class StandardFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.standard.StandardFilter

    public final class StandardFilter

extends TokenFilter

Normalizes tokens extracted with `StandardTokenizer`.

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`StandardFilter(TokenStream in)` Construct filtering in.

Method Summary
`Token` `next(Token result)` Returns the next token in the stream, or null at EOS.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardFilter

    public StandardFilter(TokenStream in)

  Construct filtering in.

Method Detail

### next

    public final Token next(Token result)
                     throws IOException

  Returns the next token in the stream, or null at EOS.

  Removes `'s` from the end of words.

  Removes dots from acronyms.

  Overrides:
    `next` in class `TokenStream`
  Parameters:
    `result` - a Token that may or may not be used to return
  Returns:
    next token in the stream or null if end-of-stream was hit
  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.